Page MenuHomePhabricator

Replace upstart with systemd unit in ::varnish
Closed, ResolvedPublic

Description

service { 'varnish':
    ensure    => running,
    provider  => 'upstart',
    require   => [
        Exec[
            'build_varnish',
            'build_tbf',
            'build_varnish_modules'
        ],
       File[
            '/var/run/varnish',
            '/etc/init/varnish.conf',
            '/etc/varnish/secret',
            '/usr/local/var/varnish/mediawiki-vagrant'
        ],
    ],
    subscribe => File[$conf],
}

Event Timeline

bd808 created this task.Dec 29 2016, 5:22 AM
bd808 added a subscriber: Gilles.Dec 29 2016, 5:37 AM

Patches should be submitted to the jessie-migration gerrit branch.

Gilles claimed this task.Jan 2 2017, 8:54 AM
Gilles added a project: Performance-Team.

Change 333870 had a related patch set uploaded (by Gilles):
Migrate Varnish role from upstart to systemd

https://gerrit.wikimedia.org/r/333870

Change 333870 merged by jenkins-bot:
Migrate Varnish role from upstart to systemd

https://gerrit.wikimedia.org/r/333870

Gilles closed this task as Resolved.Jan 27 2017, 6:24 AM